package com.hai.service;

import com.hai.entity.HighTyAgentPrice;

import java.util.List;

/**
 * 加油价格
 * @author hurui
 */
public interface HighTyAgentPriceService {

    /**
     * 编辑价格
     * @param tyAgentPrice
     */
    void editTyAgentPrice(HighTyAgentPrice tyAgentPrice);

    /**
     * 根据代理油站id 查询详情
     * @param belongType
     * @param oilStationId
     * @param oilNo
     * @return
     */
    HighTyAgentPrice getDetail(Integer belongType, Long oilStationId, String oilNo);

    /**
     * 查询油站价格
     * @param belongType
     * @param oilStationId
     * @return
     */
    List<HighTyAgentPrice> getPriceList(Integer belongType, Long oilStationId);

}
